Core - Bug # 16080

Status: Closed Priority: Should have
Author: JorA®©my Lecour Category: Content Rendering
Created: 2006-04-24 Assigned To:

Updated: 2013-04-20 Due date:

TYPO3 Version: 45

PHP Version:

Complexity:

Is Regression:
Sprint Focus:

Subject: Yet another table accessibility improvement

Description

Hi,

This is connected to the #0002405 report. I've posted it here to be in the correct category.
It's the patch requested by Sebastian Kurfuerst.

The purpose is to correct 2 features :
- be able to specify a 0 value in the border/cellapdding/cellspacing when creating a table
- add the row numbering, even for the last

--- class.tx_cssstyledcontent_pit.orig.php 2006-04-24 09:18:49.000000000 0200
++ class.tx_cssstyledcontent_pi1.php 2006-04-24 09:19:27.000000000 0200
@ -213,7 +213,7 @
1
if (I$noStyles) {
$oddEven = $k%2 ? 'tr-odd' : 'tr-even';
- $rowAttribs = ($k>0 && ($rCount-1)==%k) ? ' class="".$oddEven.' tr-last" : ' class="".$oddEven." tr-'.$k."";
$rowAttribs = ($k>0 && ($rCount-1)==%k) ? ' class=""$oddEven." tr-last tr-'.$k."" : ' class="".$oddEven." tr-".$k."";
}
$rows[$k]="
<tr'.$rowAttribs.'>".implode(",$newCells).'
@ -849,9 +849,9 @
// Create table attributes array:
$tableTagParams = array();
- $tableTagParams['border'] = $this->cObj->data['table_border'] ? intval($this->cObj->data['table_border')) :
$tableTagParams_conf['border";

- $tableTagParams]['cellspacing'] = $this->cObj->data['table_cellspacing'] ? intval($this->cObj->data['table_cellspacing']) :
$tableTagParams_conf['cellspacing’];
- $tableTagParams['cellpadding’] = $this->cObj->data['table_cellpadding'] ? intval($this->cObj->data['table_cellpadding']) :
$tableTagParams_conf['cellpadding'];
+ $tableTagParams['border] = $this->cObj->data['table_border'] >= 0 ? intval($this->cObj->data['table_border") :
$tableTagParams_conf['borderT;
+ $tableTagParams|['cellspacing’] = $this->cObj->data['table_cellspacing] >= 0 ?
intval($this->cObj->data['table_cellspacing']) : $tableTagParams_conf['cellspacing'];
+ $tableTagParams['cellpadding’] = $this->cObj->data['table_cellpadding’] >= 0 ?
intval($this->cObj->data['table_cellpadding']) : $tableTagParams_conf['cellpadding'];

$tableTagParams['bgcolor'] = isset($conf['color.|[$this->cObj->data['table_bgColor]) ?
$conf['color."|[$this->cObj->data['table_bgColor'] : $conf['color.|['default’];
// Return result:
(issue imported from #M3325)

Related issues:

related to Core - Bug # 14166: Content Type TABLE does not allow 0 cellspacing New 2004-05-15
duplicated by Core - Bug # 15514: Yet another table accessibility improvement Closed 2006-01-27
History

#1 - 2010-04-29 22:58 - Chris topher

Related to #93.

#2 - 2012-07-17 10:38 - Ernesto Baschny

- Status changed from Accepted to Needs Feedback
- Assigned To deleted (Ernesto Baschny)

- Target version deleted (0)

- TYPO3 Version set to 4.5

Is this still an issue? Sorry for taking so long, but | unassign myself because | don't really have this problem.

#3 - 2013-04-20 19:10 - Alexander Opitz
- Status changed from Needs Feedback to Closed

No response over 9 month => closed

Files

patch_tables.txt 1.8 kB 2006-04-24 Administrator Admin
